Bug 1432085 - glibc: Detect and apply /etc/resolv.conf changes in libresolv
Summary: glibc: Detect and apply /etc/resolv.conf changes in libresolv
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: glibc
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Florian Weimer
QA Contact: Sergey Kolosov
Vladimír Slávik
URL:
Whiteboard:
Depends On: 1374239
Blocks: 1473718 1432088
TreeView+ depends on / blocked
 
Reported: 2017-03-14 13:42 UTC by Zdenek Dohnal
Modified: 2018-04-10 14:00 UTC (History)
16 users (show)

Fixed In Version: glibc-2.17-202.el7
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of: 1374239
Environment:
Last Closed: 2018-04-10 13:58:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0805 None None None 2018-04-10 14:00:11 UTC
Sourceware 984 None None None 2019-05-21 12:47:39 UTC

Description Zdenek Dohnal 2017-03-14 13:42:38 UTC
+++ This bug was initially created as a clone of Bug #1374239 +++

Applications should pick /etc/resolv.conf changes automatically, without calling res_init explicitly.  This is important for mobile systems which may migrate between different networks.

Comment 9 errata-xmlrpc 2018-04-10 13:58:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0805


Note You need to log in before you can comment on or make changes to this bug.